;
; MouseKeeper v1
; Author:		Desi Quintans <me@desiquintans.com>
; Website:		http://www.desiquintans.com/mousekeeper
;
; Script Function:
;	This script stops your cursor from leaving the x-boundary of your primary monitor.
;	Any clicks delivered outside your specified desktop resolution are nullified.
;	This was made to address games that do not lock the cursor into the game screen, thus
;	causing the game to minimise with a misplaced click during fast-paced mousing action.

#NoEnv
#Persistent
#MaxHotkeysPerInterval, 200
SendMode Input
SetWorkingDir %A_ScriptDir%
CoordMode, Mouse, Screen

; ===============================
;	EDIT THIS SECTION ONLY
; ===============================

	; To stop the mouse from leaving the left side of your monitor, use screen_width = 0
	; To stop the mouse from leaving the right side, use your horizontal resolution, less
	; one pixel; screen-width = 1919 for a 1920-wide screen, for example.
	
		screen_width = 1919

; ===============================
;	END OF EDITABLE SECTION
; ===============================
SetTimer, CheckPos, 25

CheckPos:
	MouseGetPos, x_pos, y_pos
	
	if x_pos >= %screen_width%
	{
		Click, %screen_width% %y_pos% Left 0
	}
return

*LButton::
	MouseGetPos, x_pos_click
	
	if x_pos_click > %screen_width%
	{
		return
	}
	else
	{
		Click down
	}
return

*LButton up::Click up

Delete::MsgBox, X%x_pos%, Y%y_pos%.
#End::ExitApp